import { defineComponent, ref } from 'vue';

import EyeClosedIcon from '@/components/svg/EyeClosedIcon.vue';
import EyeOpenIcon from '@/components/svg/EyeOpenIcon.vue';
import VERSION from '@/version-info';

export default defineComponent({
  name: 'DebugInfo',
  components: { EyeOpenIcon, EyeClosedIcon },
  setup: function DebugInfo() {
    const showDebugInfo = ref(false);
    const version = ref(VERSION);

    return { showDebugInfo, version };
  },
});
